edu.msu.cme.rdp.classifier.train.validation

## Class StatusCount

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.StatusCount

    public class StatusCount
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StatusCount()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `calF1score()` F1 score = 2#TP / (2#TP + #FP + #FN)
`double` `calFPR()` false positive rate = #FP / (#TN + #FP)
`double` `calSensitivity()` sensitivity = #TP / (#TP + #FN)
`double` `calSpecificity()` specificity = #TN / (#TN + #FP)
`int` `getNumFN()`
`int` `getNumFP()`
`int` `getNumTN()`
`int` `getNumTP()`
`void` `incNumFN(int i)`
`void` `incNumFP(int i)`
`void` `incNumTN(int i)`
`void` `incNumTP(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusCount

    public StatusCount()

### Method Detail

#### incNumTP

    public void incNumTP(int i)

#### incNumFP

    public void incNumFP(int i)

#### incNumTN

    public void incNumTN(int i)

#### incNumFN

    public void incNumFN(int i)

#### getNumTP

    public int getNumTP()

#### getNumTN

    public int getNumTN()

#### getNumFP

    public int getNumFP()

#### getNumFN

    public int getNumFN()

#### calSensitivity

    public double calSensitivity()

sensitivity = #TP / (#TP + #FN)

#### calSpecificity

    public double calSpecificity()

specificity = #TN / (#TN + #FP)

Returns:

#### calFPR

    public double calFPR()

false positive rate = #FP / (#TN + #FP)

Returns:

#### calF1score

    public double calF1score()

F1 score = 2#TP / (2#TP + #FP + #FN)

Returns: